#
# spec file for package ghc-comonad
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name comonad
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        5.0.4
Release:        2.2
Summary:        Comonads
License:        BSD-2-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-cabal-doctest-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-contravariant-devel
BuildRequires:  ghc-distributive-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-tagged-devel
BuildRequires:  ghc-transformers-compat-devel
BuildRequires:  ghc-transformers-devel
%if %{with tests}
BuildRequires:  ghc-doctest-devel
%endif

%description
Comonads.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.markdown README.markdown examples

%changelog
* Sat Oct 20 2018 Peter Simons <psimons@suse.com>
- Use https URL to refer to bugs.opensuse.org.
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Fri Jul 13 2018 psimons@suse.com
- Update comonad to version 5.0.4.
  5.0.4 [2018.07.01]
  - -----------------
  * Add `Comonad` instances for `Tagged s` with `s` of any kind. Before the
    change, `s` had to be of kind `*`.
  * Allow `containers-0.6`.
* Mon May 14 2018 psimons@suse.com
- Update comonad to version 5.0.3 revision 2.
  * Don't enable `Safe` on GHC 7.2.
  * Support `doctest-0.12`
* Mon Apr 24 2017 psimons@suse.com
- Update to version 5.0.1 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 5 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 4.2.7.2 revision 0 with cabal2obs.
* Mon Jul 27 2015 mimi.vx@gmail.com
- update to 4.2.7.2
  * Compiles warning-free on GHC 7.10
  * Use CPP
  * Trustworthy fixes for GHC 7.2
* Thu May 21 2015 mimi.vx@gmail.com
- correct licence to BSD-2-Clause
* Sun May 17 2015 mimi.vx@gmail.com
- update to 4.2.6
  * Re-export `(Data.Functor.$>)` rather than supply our own on GHC 7.8+
  * Better SafeHaskell support.
  * `instance Monoid m => ComonadTraced m ((->) m)`
* Sun Apr 26 2015 mimi.vx@gmail.com
- initial commit
